<?php declare(strict_types=1);

namespace Atl\DiscountExtension\Core\System\RepeatDiscount;

use Shopware\Core\Checkout\Customer\CustomerEntity;
use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class RepeatDiscountEntity extends Entity
{
    use EntityIdTrait;

    /**
     * @var string
     */
    protected $customerId;

    /**
     * @var \DateTimeInterface
     */
    protected $lastOrderDate;

    /**
     * @var CustomerEntity
     */
    protected $customer;

    /**
     * @return string
     */
    public function getCustomerId(): string
    {
        return $this->customerId;
    }

    /**
     * @param string $customerId
     */
    public function setCustomerId(string $customerId): void
    {
        $this->customerId = $customerId;
    }

    /**
     * @return \DateTimeInterface
     */
    public function getLastOrderDate(): \DateTimeInterface
    {
        return $this->lastOrderDate;
    }

    /**
     * @param \DateTimeInterface $lastOrderDate
     */
    public function setLastOrderDate(\DateTimeInterface $lastOrderDate): void
    {
        $this->lastOrderDate = $lastOrderDate;
    }

    /**
     * @return CustomerEntity
     */
    public function getCustomer(): CustomerEntity
    {
        return $this->customer;
    }

    /**
     * @param CustomerEntity $customer
     */
    public function setCustomer(CustomerEntity $customer): void
    {
        $this->customer = $customer;
    }
}